> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clinia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a pipeline execution

> Get a pipeline execution.




## OpenAPI

````yaml /api-reference/registry.yml get /sources/{sourceKey}/v1/pipelines/executions/{pipelineExecutionId}
openapi: 3.0.1
info:
  title: Registry API
  version: 1.0.0
servers:
  - url: https://api.{workspaceId}.clinia.cloud
    variables:
      workspaceId:
        default: ''
        description: The workspace id.
security:
  - apiKey: []
  - basicHttpAuth: []
  - bearerHttpAuth: []
tags:
  - name: Collections
    description: Management of collections in a registry.
  - name: Relationships
    description: Management of relationships in a registry.
  - name: Resources
    description: Management of resources in a registry.
paths:
  /sources/{sourceKey}/v1/pipelines/executions/{pipelineExecutionId}:
    get:
      tags:
        - Pipeline Executions
      summary: Get a pipeline execution
      description: |
        Get a pipeline execution.
      operationId: GetPipelineExecution
      parameters:
        - name: sourceKey
          in: path
          description: The key of the source.
          required: true
          schema:
            type: string
        - name: pipelineExecutionId
          in: path
          description: The id of the pipeline execution.
          required: true
          schema:
            type: string
        - name: withOperationBody
          in: query
          description: >
            If set to true, the response will include the body of the operation
            that triggered the pipeline execution and the operation processed by
            the pipeline. Defaults to false.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Returns the pipeline execution.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1PipelineExecutionWithReviewAssignment'
        '400':
          description: Returned when the request is malformed or invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1Error'
        '404':
          description: Returned when the source or pipeline execution does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1RegistryError'
        '429':
          $ref: '#/components/responses/v1TooManyRequestError'
        '504':
          $ref: '#/components/responses/v1GatewayTimeoutError'
components:
  schemas:
    v1PipelineExecutionWithReviewAssignment:
      allOf:
        - $ref: '#/components/schemas/v1PipelineExecution'
        - type: object
          properties:
            reviewAssignment:
              $ref: '#/components/schemas/v1ReviewAssignment'
              description: >-
                Review assignment associated with the pipeline execution, if
                any.
    v1Error:
      type: object
      required:
        - code
        - message
        - type
      properties:
        code:
          $ref: '#/components/schemas/v1ErrorCode'
        message:
          type: string
        type:
          $ref: '#/components/schemas/v1ErrorType'
        details:
          description: list of errors that occurred if applicable.
          type: array
          items:
            $ref: '#/components/schemas/v1Error'
        additionalContext:
          type: object
          additionalProperties: true
    v1RegistryError:
      allOf:
        - $ref: '#/components/schemas/v1Error'
        - type: object
          properties:
            code:
              $ref: '#/components/schemas/v1ErrorCode'
            applicationErrorCode:
              type: string
              enum:
                - REGISTRY_DUPLICATE_IDENTIFIER
                - REGISTRY_INVALID_COLLECTION_TYPE
                - REGISTRY_INVALID_CONTENT_TYPE
                - REGISTRY_INVALID_PIPELINE_STEP_DEFINITION
                - REGISTRY_INVALID_REQUEST_BODY
                - REGISTRY_INVALID_REVISION_ID
                - REGISTRY_PAYLOAD_PARSE_ERROR
                - REGISTRY_REQUIRED_FIELD_MISSING
                - REGISTRY_RESOURCE_TYPE_NOT_FOUND
                - REGISTRY_UNAVAILABLE_UPSTREAM_SERVICE
                - REGISTRY_BROWSE_SESSION_EXPIRED
                - REGISTRY_BULK_OPERATION_NOT_FOUND
                - REGISTRY_COLLECTION_NOT_FOUND
                - REGISTRY_CONTAINED_DEFINITION_NOT_FOUND
                - REGISTRY_PIPELINE_EXECUTION_NOT_FOUND
                - REGISTRY_PROFILE_NOT_FOUND
                - REGISTRY_PURGE_NOT_FOUND
                - REGISTRY_RELATIONSHIP_COLLECTION_NOT_FOUND
                - REGISTRY_RELATIONSHIP_DEFINITION_NOT_FOUND
                - REGISTRY_RELATIONSHIP_NOT_FOUND
                - REGISTRY_RESOURCE_NOT_FOUND
                - REGISTRY_RESOURCE_COLLECTION_NOT_FOUND
                - REGISTRY_SOURCE_NOT_FOUND
                - REGISTRY_TASK_NOT_FOUND
                - REGISTRY_VERSION_HISTORY_ITEM_NOT_FOUND
                - REGISTRY_REQUEST_CANCELLED
                - REGISTRY_REQUEST_TIMEOUT
                - REGISTRY_COLLECTION_ALREADY_EXISTS
                - REGISTRY_DUPLICATE_OPERATION_IN_BUNDLE
                - REGISTRY_IDENTIFIER_ALREADY_EXISTS
                - REGISTRY_RELATIONSHIP_ALREADY_EXISTS
                - REGISTRY_RELATIONSHIP_FROM_REF_ALREADY_EXISTS
                - REGISTRY_RELATIONSHIP_TO_REF_ALREADY_EXISTS
                - REGISTRY_RESOURCE_ALREADY_EXISTS
    v1PipelineExecution:
      type: object
      required:
        - id
        - pipelineDefinitionId
        - status
        - steps
        - operation
        - createdAt
        - updatedAt
      properties:
        id:
          description: id to refer for a specific pipeline execution.
          readOnly: true
          type: string
        pipelineDefinitionId:
          $ref: '#/components/schemas/v1RevisionId'
          description: >-
            versioned id to the related pipeline definition that generated the
            pipeline execution.
          readOnly: true
        status:
          $ref: '#/components/schemas/v1PipelineExecutionStatus'
          readOnly: true
        steps:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/v1PipelineExecutionStep'
            readOnly: true
            minItems: 1
        operation:
          $ref: '#/components/schemas/v1PipelineOperation'
          readOnly: true
          description: The initial operation that triggered the pipeline execution.
        processedOperation:
          $ref: '#/components/schemas/v1PipelineOperation'
          readOnly: true
          description: >-
            The operation processed by the pipeline. If the pipeline it not
            completed, it is the output of the last completed step.
        createdAt:
          type: string
          format: date-time
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          readOnly: true
      additionalProperties: false
    v1ReviewAssignment:
      type: object
      required:
        - id
        - operationId
        - reviewerId
        - assignerId
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          description: System-generated unique ID.
          readOnly: true
        operationId:
          type: string
          description: The operation ID of the review.
        reviewerId:
          type: string
          description: User ID of the current assignee.
        assignerId:
          type: string
          description: ID of the user who last performed the assignment action.
          readOnly: true
        createdAt:
          type: string
          description: Instant of creation of the assignment.
          format: date-time
          readOnly: true
        updatedAt:
          type: string
          description: Instant of the last update of the assignment.
          format: date-time
          readOnly: true
    v1ErrorCode:
      type: integer
      format: int32
      enum:
        - 400
        - 401
        - 403
        - 404
        - 408
        - 409
        - 413
        - 429
        - 500
        - 501
        - 504
    v1ErrorType:
      type: string
      enum:
        - ALREADY_EXISTS
        - FAILED_PRECONDITION
        - INTERNAL
        - INVALID_ARGUMENT
        - NOT_FOUND
        - OUT_OF_RANGE
        - UNIMPLEMENTED
        - PERMISSION_DENIED
        - UNAUTHENTICATED
        - CONTENT_TOO_LARGE
        - REQUEST_TIMEOUT
        - TOO_MANY_REQUEST
        - GATEWAY_TIMEOUT
    v1RevisionId:
      type: string
      description: |
        The id with version in the format `<id>.<version>`.
      pattern: ^[a-zA-Z0-9_-]+.[0-9]+$
    v1PipelineExecutionStatus:
      type: string
      description: >
        Status of the pipeline execution.

        * `SUCCESSFUL`: The pipeline execution completed successfully. Every
        step of the pipeline was executed successfully and the change has been
        accepted in the system. 

        * `ERROR`: The pipeline execution failed at a step due to a system
        error.

        * `IN_PROGRESS`: The pipeline execution is being processed by the
        system. 

        * `IN_REVIEW`: The pipeline execution is waiting for a manual action.
        Refer to the ActOnPipelineExecution endpoint.  

        * `CANCELLED`: The pipeline execution has been short-circuited by the
        system and never completed. 

        * `DROPPED`: The pipeline execution has been dropped because the change
        has been rejected by the user following review.
      enum:
        - SUCCESSFUL
        - ERROR
        - IN_PROGRESS
        - IN_REVIEW
        - CANCELLED
        - DROPPED
    v1PipelineExecutionStep:
      description: >-
        pipeline execution information on an step that will be executed or was
        executed.
      type: object
      required:
        - status
      properties:
        status:
          $ref: '#/components/schemas/v1PipelineStepExecutionStatus'
          readOnly: true
        error:
          $ref: '#/components/schemas/v1Error'
          readOnly: true
        decision:
          $ref: '#/components/schemas/v1PipelineStepDecision'
          readOnly: true
        processedAt:
          description: timestamp when the step was processed by the system.
          readOnly: true
          type: string
          format: date-time
      additionalProperties: false
    v1PipelineOperation:
      type: object
      required:
        - taskId
        - id
        - author
        - action
        - target
      properties:
        taskId:
          $ref: '#/components/schemas/v1TaskId'
          readOnly: true
        id:
          type: string
          description: The unique ID of the operation.
          readOnly: true
        author:
          $ref: '#/components/schemas/v1UserInfo'
          description: The user who initiated the operation.
          readOnly: true
        action:
          $ref: '#/components/schemas/v1OperationAction'
          readOnly: true
        target:
          $ref: '#/components/schemas/v1Target'
          readOnly: true
        body:
          readOnly: true
          type: object
          x-is-generic: true
          description: >-
            The body of the operation as defined in the original request. * For
            a DELETE action, this would be empty. * For a CREATE or UPSERT
            action, this would be the resource or relationship.
    v1PipelineStepExecutionStatus:
      type: string
      description: >
        Status of the pipeline execution step.

        * `PROCESSED`: The step has been processed.

        * `ERROR`: The step has failed due to a system failure.

        * `IN_PROGRESS`: The step is being processed by the system.

        * `IN_REVIEW`: The step is waiting for a manual action. Refer to the
        ActOnPipelineExecution endpoint.

        * `CANCELLED`: The step has been cancelled.

        * `PENDING`: The step evaluation has not yet happened.

        * `NOT_TRIGGERED`: The step was skipped since the step trigger did not
        trigger.
      enum:
        - PROCESSED
        - ERROR
        - IN_PROGRESS
        - IN_REVIEW
        - CANCELLED
        - PENDING
        - NOT_TRIGGERED
    v1PipelineStepDecision:
      description: information on who, when, why and what was executed on a manual step.
      type: object
      required:
        - id
        - author
        - actedAt
      properties:
        id:
          description: action id that was used with a manual action.
          readOnly: true
          type: string
        description:
          description: optional description on why the action was applied.
          readOnly: true
          type: string
        author:
          $ref: '#/components/schemas/v1UserInfo'
          readOnly: true
        actedAt:
          description: timestamp when the user acted on the step with a manual action.
          readOnly: true
          type: string
          format: date-time
      additionalProperties: false
    v1TaskId:
      type: string
      description: >
        The task identifier. Used to track an async task in the system. Use the
        task ID to poll for completion status.

        The taskId holds different prefix to represent different tasks.

        - oneOf task: `s_<id>`.

        - bulk task: `bk_<id>` (deprecated: `<id>` only).

        - bundle task: `bd_<id>` (deprecated: `<id>` only).

        - purge task: `pg_<id>` (deprecated: `purge:<id>`).
    v1UserInfo:
      type: object
      required:
        - id
        - email
      properties:
        id:
          type: string
        email:
          type: string
    v1OperationAction:
      type: string
      enum:
        - CREATE
        - UPSERT
        - DELETE
        - UPDATE
      description: The action to perform.
    v1Target:
      oneOf:
        - $ref: '#/components/schemas/v1ResourceTarget'
        - $ref: '#/components/schemas/v1RelationshipTarget'
      discriminator:
        propertyName: targetType
        mapping:
          RESOURCE:
            $ref: '#/components/schemas/v1ResourceTarget'
          RELATIONSHIP:
            $ref: '#/components/schemas/v1RelationshipTarget'
    v1ResourceTarget:
      allOf:
        - $ref: '#/components/schemas/v1TargetBase'
        - type: object
          required:
            - id
            - type
          properties:
            id:
              type: string
              description: The ID of the resource created, upserted, or deleted.
            type:
              type: string
              description: The type of resource created, upserted, or deleted.
          additionalProperties: false
    v1RelationshipTarget:
      allOf:
        - $ref: '#/components/schemas/v1TargetBase'
        - type: object
          required:
            - id
            - type
          properties:
            id:
              $ref: '#/components/schemas/v1RelationshipID'
            type:
              type: string
              description: The type of relationship created, upserted, or deleted.
          additionalProperties: false
    v1TargetBase:
      type: object
      required:
        - targetType
      properties:
        targetType:
          $ref: '#/components/schemas/v1TargetType'
    v1RelationshipID:
      type: string
      description: |
        The unique identifier of the relationship.
        This is a key with the shape `{fromID}.{toID}`.
      pattern: ^[^.]+.[^.]+$
    v1TargetType:
      type: string
      enum:
        - RELATIONSHIP
        - RESOURCE
  responses:
    v1TooManyRequestError:
      description: Returned when the server starts throttling the requests.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/v1Error'
    v1GatewayTimeoutError:
      description: Returned when the request exceeds the server timeout window.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/v1Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Clinia-API-Key
    basicHttpAuth:
      description: Basic HTTP authentication.
      type: http
      scheme: basic
    bearerHttpAuth:
      description: JWT Bearer authentication.
      type: http
      scheme: Bearer
      bearerFormat: JWT

````